type ProteomicsPtm = {
    accession: string;
    entryName: string;
    sequence: string;
    sequenceChecksum: string;
    taxid: number;
    features: ProteomicsPtmFeature[];
};
type ProteomicsPtmFeature = {
    type: string;
    begin: string;
    end: string;
    xrefs: Xref[];
    evidences: Evidence[];
    peptide: string;
    unique: boolean;
    ptms: PTM[];
};
type Evidence = {
    code: string;
    source: Source;
};
type Source = {
    id: string;
    url: string;
};
type Xref = {
    name: string;
    id: string;
    url: string;
};
export type PTM = {
    name: string;
    position: number;
    sources: string[];
    dbReferences: DBReference[];
};
type DBReference = {
    id: string;
    properties: {
        [key: string]: string;
    };
};
declare const transformData: (data: ProteomicsPtm) => {
    source: string;
    type: string;
    start: number;
    end: number;
    shape: string;
    tooltipContent: string;
    color: any;
}[];
export default transformData;
