export type TrackType = 'nightingale-track-canvas' | 'nightingale-interpro-track' | 'nightingale-colored-sequence' | 'nightingale-variation' | 'nightingale-linegraph-track' | 'nightingale-sequence-heatmap';
export type ProtvistaTrackConfig = {
    name: string;
    label?: string;
    labelUrl?: string;
    filter?: string;
    trackType: TrackType;
    data: {
        url: string | string[];
        adapter?: 'feature-adapter' | 'structure-adapter' | 'proteomics-adapter' | 'variation-adapter' | 'variation-graph-adapter' | 'interpro-adapter' | 'alphafold-confidence-adapter' | 'alphamissense-pathogenicity-adapter' | 'alphamissense-heatmap-adapter' | 'proteomics-ptm-adapter' | 'rna-editing-adapter' | 'rna-editing-graph-adapter';
    }[];
    tooltip: string;
    color?: string;
    shape?: string;
    scale?: string;
    filterComponent?: 'nightingale-filter';
    'color-range'?: string;
};
type ProtvistaCategory = {
    name: string;
    label: string;
    trackType: TrackType;
    tracks: ProtvistaTrackConfig[];
    color?: string;
    shape?: string;
    scale?: string;
    'color-range'?: string;
};
export type ProtvistaConfig = {
    categories: ProtvistaCategory[];
};
declare const config: ProtvistaConfig;
export default config;
