import { LitElement, TemplateResult } from 'lit';
type ProcessedStructureData = {
    id: string;
    source: 'PDB' | 'AlphaFold';
    method: string;
    resolution?: string;
    chain?: string;
    positions?: string;
    downloadLink?: string;
    protvistaFeatureId: string;
};
declare class ProtvistaUniprotStructure extends LitElement {
    accession?: string;
    data?: ProcessedStructureData[];
    structureId?: string;
    metaInfo?: TemplateResult;
    colorTheme?: string;
    private loading?;
    private alphamissenseAvailable?;
    constructor();
    static get properties(): {
        accession: {
            type: StringConstructor;
        };
        structureId: {
            type: StringConstructor;
        };
        data: {
            type: ObjectConstructor;
        };
        loading: {
            type: BooleanConstructor;
        };
        colorTheme: {
            type: StringConstructor;
        };
        alphamissenseAvailable: {
            type: BooleanConstructor;
        };
    };
    connectedCallback(): Promise<void>;
    disconnectedCallback(): void;
    updated(): void;
    addStyles(): void;
    removeStyles(): void;
    onTableRowClick({ id }: {
        id: string;
    }): void;
    get cssStyle(): import('lit').CSSResult;
    /**
     * we need to use the light DOM.
     * */
    createRenderRoot(): this;
    toggleColorTheme(e: any): void;
    render(): TemplateResult<1>;
}
export default ProtvistaUniprotStructure;
