import { LitElement } from 'lit';
import { ProtvistaTrackConfig, TrackType } from './config';
declare class ProtvistaUniprot extends LitElement {
    private openCategories;
    private nostructure;
    private hasData;
    private loading;
    private data;
    private rawData;
    private displayCoordinates;
    private suspend?;
    private accession?;
    private sequence?;
    private transformedVariants?;
    private config?;
    constructor();
    static get properties(): {
        suspend: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        accession: {
            type: StringConstructor;
            reflect: boolean;
        };
        sequence: {
            type: StringConstructor;
        };
        data: {
            type: ObjectConstructor;
        };
        openCategories: {
            type: ArrayConstructor;
        };
        config: {
            type: ObjectConstructor;
        };
        notooltip: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        nostructure: {
            type: BooleanConstructor;
            reflect: boolean;
        };
    };
    addStyles(): void;
    registerWebComponents(): void;
    _loadData(): Promise<void>;
    _loadDataInComponents(): Promise<void>;
    updated(changedProperties: Map<string, string>): void;
    _init(): void;
    connectedCallback(): void;
    loadEntry(accession: string): Promise<any>;
    /**
     * we need to use the light DOM.
     * */
    createRenderRoot(): this;
    render(): import('lit').TemplateResult<1>;
    handleCategoryClick(e: MouseEvent): void;
    groupByCategory(filters: any, category: any): any;
    getFilter(filters: any, filterName: any): any;
    handleFilterClick(e: CustomEvent): void;
    getCategoryTypesAsString(tracks: ProtvistaTrackConfig[]): string;
    getFilterComponent(forId: string): import('lit').TemplateResult<1>;
    getTrack(trackType: TrackType, layout?: string, color?: string, shape?: string, id?: string, scale?: string, colorRange?: string): import('lit').TemplateResult<1>;
}
export default ProtvistaUniprot;
